<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="zh">
<head>
<!-- Generated by javadoc (15) on Thu Jan 07 21:59:30 CST 2021 -->
<title>Uses of Class app.Account</title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta name="dc.created" content="2021-01-07">
<meta name="description" content="use: package: app, class: Account">
<meta name="generator" content="javadoc/ClassUseWriter">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="../../script.js"></script>
<script type="text/javascript" src="../../script-dir/jquery-3.5.1.min.js"></script>
<script type="text/javascript" src="../../script-dir/jquery-ui.min.js"></script>
</head>
<body class="class-use-page">
<script type="text/javascript">var pathtoroot = "../../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar.top">
<div class="skip-nav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.top.firstrow" class="nav-list" title="Navigation">
<li><a href="../../index.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../Account.html" title="class in app">Class</a></li>
<li class="nav-bar-cell1-rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-files/index-1.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div class="nav-list-search"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip.navbar.top">
<!--   -->
</span></nav>
</header>
<div class="flex-content">
<main role="main">
<div class="header">
<h1 title="Uses of Class app.Account" class="title">Uses of Class<br>app.Account</h1>
</div>
<div class="use-summary">
<table class="summary-table">
<caption><span>Packages that use <a href="../Account.html" title="class in app">Account</a></span></caption>
<thead>
<tr>
<th class="col-first" scope="col">Package</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color">
<th class="col-first" scope="row"><a href="#app">app</a></th>
<td class="col-last">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
<section class="class-uses">
<ul class="block-list">
<li>
<section class="detail" id="app">
<h2>Uses of <a href="../Account.html" title="class in app">Account</a> in <a href="../package-summary.html">app</a></h2>
<div class="use-summary">
<table class="summary-table">
<caption><span>Methods in <a href="../package-summary.html">app</a> with parameters of type <a href="../Account.html" title="class in app">Account</a></span></caption>
<thead>
<tr>
<th class="col-first" scope="col">Modifier and Type</th>
<th class="col-second" scope="col">Method</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color">
<td class="col-first"><code>boolean</code></td>
<th class="col-second" scope="row"><span class="type-name-label">AccountHelper.</span><code><span class="member-name-link"><a href="../AccountHelper.html#checkDuplicate(app.Account)">checkDuplicate</a></span>&#8203;(<a href="../Account.html" title="class in app">Account</a>&nbsp;account)</code></th>
<td class="col-last">
<div class="block">檢查帳號的email或員工編號是否重複</div>
</td>
</tr>
<tr class="row-color">
<td class="col-first"><code>boolean</code></td>
<th class="col-second" scope="row"><span class="type-name-label">AccountHelper.</span><code><span class="member-name-link"><a href="../AccountHelper.html#create(app.Account)">create</a></span>&#8203;(<a href="../Account.html" title="class in app">Account</a>&nbsp;account)</code></th>
<td class="col-last">
<div class="block">新增資料</div>
</td>
</tr>
<tr class="alt-color">
<td class="col-first"><code>boolean</code></td>
<th class="col-second" scope="row"><span class="type-name-label">AccountHelper.</span><code><span class="member-name-link"><a href="../AccountHelper.html#loginAttempt(app.Account,javax.servlet.http.HttpServletRequest)">loginAttempt</a></span>&#8203;(<a href="../Account.html" title="class in app">Account</a>&nbsp;account,
javax.servlet.http.HttpServletRequest&nbsp;request)</code></th>
<td class="col-last">
<div class="block">登入嘗試，也可做刷新session使用<br>
 若帳號正確嘗試登入</div>
</td>
</tr>
<tr class="row-color">
<td class="col-first"><code>boolean</code></td>
<th class="col-second" scope="row"><span class="type-name-label">AccountHelper.</span><code><span class="member-name-link"><a href="../AccountHelper.html#update(app.Account)">update</a></span>&#8203;(<a href="../Account.html" title="class in app">Account</a>&nbsp;account)</code></th>
<td class="col-last">
<div class="block">更新帳號資料</div>
</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
</ul>
</section>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottom-nav" id="navbar.bottom">
<div class="skip-nav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.bottom.firstrow" class="nav-list" title="Navigation">
<li><a href="../../index.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../Account.html" title="class in app">Class</a></li>
<li class="nav-bar-cell1-rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-files/index-1.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<span class="skip-nav" id="skip.navbar.bottom">
<!--   -->
</span></nav>
</footer>
</div>
</div>
</body>
</html>
